Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens
Class VelocityErrorScreen

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.TemplateScreen
                  org.apache.turbine.modules.screens.VelocityScreen
                      org.apache.turbine.modules.screens.VelocityErrorScreen

    public class VelocityErrorScreen

extends VelocityScreen

VelocityErrorScreen screen - directs errors at the velocity error template defined in template.error.

Version:
  $Id: VelocityErrorScreen.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Gonzalo Diethelm, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.screens.TemplateScreen
`log`

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityErrorScreen()`

Method Summary
`protected void` | `doBuildTemplate(PipelineData pipelineData, org.apache.velocity.context.Context context)` Implement this to add information to the context.
`protected void` | `doBuildTemplate(RunData data, org.apache.velocity.context.Context context)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.screens.VelocityScreen
`buildTemplate, buildTemplate, doBuildTemplate, doBuildTemplate, getContext, getContext`

Methods inherited from class org.apache.turbine.modules.screens.TemplateScreen
`doBuild, doBuild, doPostBuildTemplate, doPostBuildTemplate, doRedirect, doRedirect, doRedirect, doRedirect, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityErrorScreen

    public VelocityErrorScreen()

Method Detail

### doBuildTemplate

    protected void doBuildTemplate(RunData data,
                                   org.apache.velocity.context.Context context)
                            throws Exception

  Deprecated. Use PipelineData version instead.

  Implement this to add information to the context.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception` - a generic exception.

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData,
                                   org.apache.velocity.context.Context context)
                            throws Exception

  Implement this to add information to the context.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `pipelineData` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.